import requestSys from '@/utils/requestSys'


// 获取用户列表
export function fetchList(query) {
  return requestSys({
    url: '/user/page',
    method: 'get',
    params: query
  })
}
// 获取职位数据
export function fetchPositionList(query) {
  return requestSys({
    url: '/user/positionSelector',
    method: 'get',
    params: query
  })
}
// 创建用户
export function createUser(data) {
  return requestSys({
    url: '/user/add',
    method: 'post',
    data
  })
}
// 更新用户信息
export function updateUser(data) {
  return requestSys({
    url: '/user/edit',
    method: 'post',
    data
  })
}
// 删除用户
export function deleteUser(data) {
  return requestSys({
    url: '/user/delete',
    method: 'post',
    data
  })
}

// 重置密码
export function resetPwd(data) {
  return requestSys({
    url: '/user/resetPassword',
    method: 'post',
    data
  })
}




